Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Fix with-docker-compose example #43419

Merged
merged 3 commits into from
Nov 28, 2022

Conversation

maxproske
Copy link
Contributor

@maxproske maxproske commented Nov 26, 2022

  1. Fixes example unable to build with the latest version of Next.
  • Next.js 13 bumped the minimum React version to 18.2.0, but this example seems to have gotten missed.
  1. Fixes example unable to run by default on Linux.
  1. Build and start Next.js based on the preferred package manager.

  2. Allow dependencies to install without lockfile present.

  • Outputs a warning instead of exiting.
  • Keeps the example faithful to the README "Develop locally without Node.js or TypeScript installed".
  1. Added next.config.js types that got missed.

  2. Updated README links now that output standalone is stable.

Documentation / Examples

  • Make sure the linting passes by running pnpm build && pnpm lint
  • The "examples guidelines" are followed from our contributing doc

@ijjk ijjk added the examples Issue/PR related to examples label Nov 26, 2022
Copy link
Member

@ijjk ijjk left a comment

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Thanks!

@kodiakhq kodiakhq bot merged commit d5c922b into vercel:canary Nov 28, 2022
brvnonascimento pushed a commit to brvnonascimento/next.js that referenced this pull request Nov 28, 2022
1. Fixes example unable to build with the latest version of Next.
- Next.js 13 bumped the minimum React version to [18.2.0](https://nextjs.org/docs/upgrading), but this example seems to have gotten missed.

2. Fixes example unable to run by default on Linux. 
- Reverts vercel#39372 
- Fixes @balazsorban44 comment vercel#39372 (comment)
- Added a comment to the README to prevent this issue from being re-introduced. 

3. Build and start Next.js based on the preferred package manager.

4. Allow dependencies to install without lockfile present. 
- Outputs a warning instead of exiting.  
- Keeps the example faithful to the README "Develop locally without Node.js or TypeScript installed".

5. Added `next.config.js` types that got missed.

6. Updated README links now that output standalone is stable.

## Documentation / Examples

- [X] Make sure the linting passes by running `pnpm build && pnpm lint`
- [X] The "examples guidelines" are followed from [our contributing doc](https://github.com/vercel/next.js/blob/canary/contributing/examples/adding-examples.md)
@github-actions github-actions bot locked as resolved and limited conversation to collaborators Dec 28, 2022
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Labels
examples Issue/PR related to examples
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

2 participants